org.wso2.carbon.module.mgt.stub

## Class ModuleAdminServiceCallbackHandler

- java.lang.Object
- - org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler

-     public abstract class ModuleAdminServiceCallbackHandler
      extends Object

  ModuleAdminServiceCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `clientData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleAdminServiceCallbackHandler()` Please use this constructor if you don't want to set any clientData
    `ModuleAdminServiceCallbackHandler(Object clientData)` User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getClientData()` Get the client data
    `void` | `receiveErrordisengageModuleForOperation(Exception e)` auto generated Axis2 Error handler override this method for handling error response from disengageModuleForOperation operation
    `void` | `receiveErrordisengageModuleForService(Exception e)` auto generated Axis2 Error handler override this method for handling error response from disengageModuleForService operation
    `void` | `receiveErrordisengageModuleForServiceGroup(Exception e)` auto generated Axis2 Error handler override this method for handling error response from disengageModuleForServiceGroup operation
    `void` | `receiveErrordisengageModuleFromSystem(Exception e)` auto generated Axis2 Error handler override this method for handling error response from disengageModuleFromSystem operation
    `void` | `receiveErrorengageModuleForOperation(Exception e)` auto generated Axis2 Error handler override this method for handling error response from engageModuleForOperation operation
    `void` | `receiveErrorengageModuleForService(Exception e)` auto generated Axis2 Error handler override this method for handling error response from engageModuleForService operation
    `void` | `receiveErrorengageModuleForServiceGroup(Exception e)` auto generated Axis2 Error handler override this method for handling error response from engageModuleForServiceGroup operation
    `void` | `receiveErrorgetModuleInfo(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getModuleInfo operation
    `void` | `receiveErrorgetModuleParameters(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getModuleParameters operation
    `void` | `receiveErrorgloballyDisengageModule(Exception e)` auto generated Axis2 Error handler override this method for handling error response from globallyDisengageModule operation
    `void` | `receiveErrorgloballyEngageModule(Exception e)` auto generated Axis2 Error handler override this method for handling error response from globallyEngageModule operation
    `void` | `receiveErrorlistGloballyEngagedModules(Exception e)` auto generated Axis2 Error handler override this method for handling error response from listGloballyEngagedModules operation
    `void` | `receiveErrorlistModules(Exception e)` auto generated Axis2 Error handler override this method for handling error response from listModules operation
    `void` | `receiveErrorlistModulesForOperation(Exception e)` auto generated Axis2 Error handler override this method for handling error response from listModulesForOperation operation
    `void` | `receiveErrorlistModulesForService(Exception e)` auto generated Axis2 Error handler override this method for handling error response from listModulesForService operation
    `void` | `receiveErrorlistModulesForServiceGroup(Exception e)` auto generated Axis2 Error handler override this method for handling error response from listModulesForServiceGroup operation
    `void` | `receiveErrorremoveModule(Exception e)` auto generated Axis2 Error handler override this method for handling error response from removeModule operation
    `void` | `receiveErrorremoveModuleParameter(Exception e)` auto generated Axis2 Error handler override this method for handling error response from removeModuleParameter operation
    `void` | `receiveErroruploadModule(Exception e)` auto generated Axis2 Error handler override this method for handling error response from uploadModule operation
    `void` | `receiveResultdisengageModuleForOperation(boolean result)` auto generated Axis2 call back method for disengageModuleForOperation method override this method for handling normal response from disengageModuleForOperation operation
    `void` | `receiveResultdisengageModuleForService(boolean result)` auto generated Axis2 call back method for disengageModuleForService method override this method for handling normal response from disengageModuleForService operation
    `void` | `receiveResultdisengageModuleForServiceGroup(boolean result)` auto generated Axis2 call back method for disengageModuleForServiceGroup method override this method for handling normal response from disengageModuleForServiceGroup operation
    `void` | `receiveResultdisengageModuleFromSystem(boolean result)` auto generated Axis2 call back method for disengageModuleFromSystem method override this method for handling normal response from disengageModuleFromSystem operation
    `void` | `receiveResultengageModuleForOperation(boolean result)` auto generated Axis2 call back method for engageModuleForOperation method override this method for handling normal response from engageModuleForOperation operation
    `void` | `receiveResultengageModuleForService(boolean result)` auto generated Axis2 call back method for engageModuleForService method override this method for handling normal response from engageModuleForService operation
    `void` | `receiveResultengageModuleForServiceGroup(boolean result)` auto generated Axis2 call back method for engageModuleForServiceGroup method override this method for handling normal response from engageModuleForServiceGroup operation
    `void` | `receiveResultgetModuleInfo(ModuleMetaData result)` auto generated Axis2 call back method for getModuleInfo method override this method for handling normal response from getModuleInfo operation
    `void` | `receiveResultgetModuleParameters(String[] result)` auto generated Axis2 call back method for getModuleParameters method override this method for handling normal response from getModuleParameters operation
    `void` | `receiveResultgloballyDisengageModule(boolean result)` auto generated Axis2 call back method for globallyDisengageModule method override this method for handling normal response from globallyDisengageModule operation
    `void` | `receiveResultgloballyEngageModule(boolean result)` auto generated Axis2 call back method for globallyEngageModule method override this method for handling normal response from globallyEngageModule operation
    `void` | `receiveResultlistGloballyEngagedModules(ModuleMetaData[] result)` auto generated Axis2 call back method for listGloballyEngagedModules method override this method for handling normal response from listGloballyEngagedModules operation
    `void` | `receiveResultlistModules(ModuleMetaData[] result)` auto generated Axis2 call back method for listModules method override this method for handling normal response from listModules operation
    `void` | `receiveResultlistModulesForOperation(ModuleMetaData[] result)` auto generated Axis2 call back method for listModulesForOperation method override this method for handling normal response from listModulesForOperation operation
    `void` | `receiveResultlistModulesForService(ModuleMetaData[] result)` auto generated Axis2 call back method for listModulesForService method override this method for handling normal response from listModulesForService operation
    `void` | `receiveResultlistModulesForServiceGroup(ModuleMetaData[] result)` auto generated Axis2 call back method for listModulesForServiceGroup method override this method for handling normal response from listModulesForServiceGroup operation
    `void` | `receiveResultremoveModule(String result)` auto generated Axis2 call back method for removeModule method override this method for handling normal response from removeModule operation
    `void` | `receiveResultremoveModuleParameter(String result)` auto generated Axis2 call back method for removeModuleParameter method override this method for handling normal response from removeModuleParameter operation
    `void` | `receiveResultuploadModule(String result)` auto generated Axis2 call back method for uploadModule method override this method for handling normal response from uploadModule operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### ModuleAdminServiceCallbackHandler

          public ModuleAdminServiceCallbackHandler(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### ModuleAdminServiceCallbackHandler

          public ModuleAdminServiceCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultengageModuleForServiceGroup

          public void receiveResultengageModuleForServiceGroup(boolean result)

      auto generated Axis2 call back method for engageModuleForServiceGroup method override this method for handling normal response from engageModuleForServiceGroup operation

    - #### receiveErrorengageModuleForServiceGroup

          public void receiveErrorengageModuleForServiceGroup(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from engageModuleForServiceGroup operation

    - #### receiveResultgetModuleInfo

          public void receiveResultgetModuleInfo(ModuleMetaData result)

      auto generated Axis2 call back method for getModuleInfo method override this method for handling normal response from getModuleInfo operation

    - #### receiveErrorgetModuleInfo

          public void receiveErrorgetModuleInfo(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getModuleInfo operation

    - #### receiveResultengageModuleForService

          public void receiveResultengageModuleForService(boolean result)

      auto generated Axis2 call back method for engageModuleForService method override this method for handling normal response from engageModuleForService operation

    - #### receiveErrorengageModuleForService

          public void receiveErrorengageModuleForService(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from engageModuleForService operation

    - #### receiveResultdisengageModuleForOperation

          public void receiveResultdisengageModuleForOperation(boolean result)

      auto generated Axis2 call back method for disengageModuleForOperation method override this method for handling normal response from disengageModuleForOperation operation

    - #### receiveErrordisengageModuleForOperation

          public void receiveErrordisengageModuleForOperation(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from disengageModuleForOperation operation

    - #### receiveResultremoveModule

          public void receiveResultremoveModule(String result)

      auto generated Axis2 call back method for removeModule method override this method for handling normal response from removeModule operation

    - #### receiveErrorremoveModule

          public void receiveErrorremoveModule(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from removeModule operation

    - #### receiveResultlistModules

          public void receiveResultlistModules(ModuleMetaData[] result)

      auto generated Axis2 call back method for listModules method override this method for handling normal response from listModules operation

    - #### receiveErrorlistModules

          public void receiveErrorlistModules(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from listModules operation

    - #### receiveResultlistGloballyEngagedModules

          public void receiveResultlistGloballyEngagedModules(ModuleMetaData[] result)

      auto generated Axis2 call back method for listGloballyEngagedModules method override this method for handling normal response from listGloballyEngagedModules operation

    - #### receiveErrorlistGloballyEngagedModules

          public void receiveErrorlistGloballyEngagedModules(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from listGloballyEngagedModules operation

    - #### receiveResultlistModulesForOperation

          public void receiveResultlistModulesForOperation(ModuleMetaData[] result)

      auto generated Axis2 call back method for listModulesForOperation method override this method for handling normal response from listModulesForOperation operation

    - #### receiveErrorlistModulesForOperation

          public void receiveErrorlistModulesForOperation(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from listModulesForOperation operation

    - #### receiveResultlistModulesForService

          public void receiveResultlistModulesForService(ModuleMetaData[] result)

      auto generated Axis2 call back method for listModulesForService method override this method for handling normal response from listModulesForService operation

    - #### receiveErrorlistModulesForService

          public void receiveErrorlistModulesForService(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from listModulesForService operation

    - #### receiveResultgloballyEngageModule

          public void receiveResultgloballyEngageModule(boolean result)

      auto generated Axis2 call back method for globallyEngageModule method override this method for handling normal response from globallyEngageModule operation

    - #### receiveErrorgloballyEngageModule

          public void receiveErrorgloballyEngageModule(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from globallyEngageModule operation

    - #### receiveResultgloballyDisengageModule

          public void receiveResultgloballyDisengageModule(boolean result)

      auto generated Axis2 call back method for globallyDisengageModule method override this method for handling normal response from globallyDisengageModule operation

    - #### receiveErrorgloballyDisengageModule

          public void receiveErrorgloballyDisengageModule(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from globallyDisengageModule operation

    - #### receiveResultdisengageModuleFromSystem

          public void receiveResultdisengageModuleFromSystem(boolean result)

      auto generated Axis2 call back method for disengageModuleFromSystem method override this method for handling normal response from disengageModuleFromSystem operation

    - #### receiveErrordisengageModuleFromSystem

          public void receiveErrordisengageModuleFromSystem(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from disengageModuleFromSystem operation

    - #### receiveResultgetModuleParameters

          public void receiveResultgetModuleParameters(String[] result)

      auto generated Axis2 call back method for getModuleParameters method override this method for handling normal response from getModuleParameters operation

    - #### receiveErrorgetModuleParameters

          public void receiveErrorgetModuleParameters(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getModuleParameters operation

    - #### receiveResultlistModulesForServiceGroup

          public void receiveResultlistModulesForServiceGroup(ModuleMetaData[] result)

      auto generated Axis2 call back method for listModulesForServiceGroup method override this method for handling normal response from listModulesForServiceGroup operation

    - #### receiveErrorlistModulesForServiceGroup

          public void receiveErrorlistModulesForServiceGroup(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from listModulesForServiceGroup operation

    - #### receiveResultdisengageModuleForService

          public void receiveResultdisengageModuleForService(boolean result)

      auto generated Axis2 call back method for disengageModuleForService method override this method for handling normal response from disengageModuleForService operation

    - #### receiveErrordisengageModuleForService

          public void receiveErrordisengageModuleForService(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from disengageModuleForService operation

    - #### receiveResultengageModuleForOperation

          public void receiveResultengageModuleForOperation(boolean result)

      auto generated Axis2 call back method for engageModuleForOperation method override this method for handling normal response from engageModuleForOperation operation

    - #### receiveErrorengageModuleForOperation

          public void receiveErrorengageModuleForOperation(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from engageModuleForOperation operation

    - #### receiveResultuploadModule

          public void receiveResultuploadModule(String result)

      auto generated Axis2 call back method for uploadModule method override this method for handling normal response from uploadModule operation

    - #### receiveErroruploadModule

          public void receiveErroruploadModule(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from uploadModule operation

    - #### receiveResultdisengageModuleForServiceGroup

          public void receiveResultdisengageModuleForServiceGroup(boolean result)

      auto generated Axis2 call back method for disengageModuleForServiceGroup method override this method for handling normal response from disengageModuleForServiceGroup operation

    - #### receiveErrordisengageModuleForServiceGroup

          public void receiveErrordisengageModuleForServiceGroup(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from disengageModuleForServiceGroup operation

    - #### receiveResultremoveModuleParameter

          public void receiveResultremoveModuleParameter(String result)

      auto generated Axis2 call back method for removeModuleParameter method override this method for handling normal response from removeModuleParameter operation

    - #### receiveErrorremoveModuleParameter

          public void receiveErrorremoveModuleParameter(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from removeModuleParameter operation

Copyright © 2022 WSO2. All rights reserved.